#include <bits/stdc++.h>
#define ll long long

using namespace std;

const int mxN = 1e5;
int n, m, a[mxN+10], prijatelji[mxN+10];
array<int, 2> poznanstva[mxN+10];

int main(){

    ios::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    cin >> n >> m;
    for (int i = 0; i < n; i++)
        cin >> a[i];
    for (int i = 0; i < m; i++)
        cin >> poznanstva[i][0] >> poznanstva[i][1];
    for (int i = 0; i < m; i++){
        int p1 = poznanstva[i][0], p2 = poznanstva[i][1];
        ll t = (ll)a[p1-1] + (ll)a[p2-1];
        if (t >= 0){
            prijatelji[p1-1]++;
            prijatelji[p2-1]++;
        }
        else{
            prijatelji[p1-1]--;
            prijatelji[p2-1]--;
        }
    }

    ll ans = 0;
    for (int i = 0; i < n; i++)
        ans += (ll)a[i] * (ll)prijatelji[i];

    cout << ans << endl;

    return 0;
}